# QTimer Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QTimer(QObject parent)

### Constructor Properties

- prototype: The QTimer prototype object

### Prototype Object Properties

The QTimer prototype object inherits properties from the QObject prototype object and also has the following properties.

- int timerId()

### Instance Properties

QTimer objects inherit properties from the QTimer prototype object and also have the following properties.

- singleShot
- interval
- active